/**
 * 下线入库模块
 */
import { Module, VuexModule, getModule, Action } from 'vuex-module-decorators';
import store from '@/store';
import http from '@/utils/request';
import { url } from '@/utils/url';

@Module({ dynamic: true, store, namespaced: true, name: 'product.inbound.offlineIn' })
class OfflineInService extends VuexModule {
  /**
   * 验证条码
   */
  @Action
  validateBarCode(params: any): any {
    return http.post(url.wmspda.fg.xxrkScanValidata, params);
  }

  /**
   * 条码入库
   */
  @Action
  inbound(params: any): any {
    return http.post(url.wmspda.fg.offlineRk, params);
  }
}

export default getModule(OfflineInService);
